--
-- by Zippo
--

menu = {};

function menu.prerequisitesPresent(specializations)
    return true;
end;

function menu:load(xmlFile)
		print("Zippo Menu");
		local i = 0;
		self.menu = {};
    self.menuAn = false;
		while true do
			local menu = {};
			local objname = string.format("vehicle.menu.extramenu(%d)",i);
      local rotnode = getXMLString(xmlFile, objname .. "#rotNode");
      if rotnode == nil then 
      	break;
      end;
      menu = {};
      menu.rotNode = Utils.indexToObject(self.components, rotnode);
      
      if(menu.rotNode == nil or menu.light == nil) then
      	print("Error: Index ("..rotnode..") Error");
            	table.insert(self.menu, menu);
      end;
      i=i+1;
    end;
    self.menuAnz = table.getn(self.menu);
      
end;

function menu:delete()
end;

function menu:mouseEvent(posX, posY, isDown, isUp, button)
end;

function menu:keyEvent(unicode, sym, modifier, isDown)
end;

function menu:update(dt)
	
    if InputBinding.hasEvent(InputBinding.EXTRAMENU) then
    	self.menuAn = not self.menuAn;
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
    if self.menuAn then
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
  end;


function menu:draw()
    if self.menuAnz > 0 and self:getIsActive() then
    		g_currentMission:addHelpButtonText(g_i18n:getText("menu"), InputBinding.EXTRAMENU);
		if self.menuAn then
		renderText(0.75, 0.380, 0.02, " Menu");
		renderText(0.75, 0.360, 0.02, "Num Enter -> Engine On/Off");
		renderText(0.75, 0.345, 0.02, "PgUp PgDown -> Front Up/Down");
		renderText(0.75, 0.330, 0.02, "Home End -> Back Up/Down");
		renderText(0.75, 0.315, 0.02, "Num 7/4 -> MainArm Up/Down");
		renderText(0.75, 0.300, 0.02, "Num 8/5 -> Sec Arm Up/Down");
		renderText(0.75, 0.285, 0.02, "Num 9/6 -> Extend Sec Arm");
		renderText(0.75, 0.270, 0.02, "Num 2/0 -> Bucket Up/Down");
		renderText(0.75, 0.255, 0.02, "Num / * -> Bucket Rotation");
		renderText(0.75, 0.240, 0.02, "");
            		renderText(0.75, 0.225, 0.02, "Z / X -> MainArm Rotation");
           		renderText(0.75, 0.210, 0.02, "L -> Worklights");
		renderText(0.75, 0.195, 0.02, "R -> Beacon");
		renderText(0.75, 0.180, 0.02, "+ / - RPM Limiter");
	end;
    end;
end;

